import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  path: z.literal(true).optional(),
  isActive: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const BackupDestinationMaxAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationMaxAggregateInputType>;
export const BackupDestinationMaxAggregateInputObjectZodSchema = makeSchema();
